# NewGamePhysics.Physics.GravityEarthGrsModel Class Reference

Geodetic Reference System 1980 (GRS 1980). model of earth's gravity g. Reference: Hofmann-Wellenhof, B., Moritz, H. (2006), Physical Geodesy (2nd ed.), Springer-Verlag Wien. More...

List of all members.

## Public Member Functions
double | Calculate (double latitude, double height)
| Calculate the gravity outside the ellipsoid of the earth at a particular latitude in degrees and height above the surface in m. Obtained from the second order expansion of a small height.
## Static Public Attributes
static double | a = 6378137.0
| Semimajor axis of the ellipsoid in m.
static double | GM = 3986005.0e8
| Geocentric gravitational constant of the earth including the atmosphere in m^3*s^-2.
static double | J2 = 108263.0e-8
| Dynamic form factor of the earth excluding the tidal deformation.
static double | omega = 7292115.0e-11
| Angular velocity of the earth in rad*s^-1.
static double | b = 6356752.3141
| Semiminor axis of the ellipsoid in m.
static double | E = 521854.0097
| Linear eccentricity in m.
static double | c = 6399593.6259
| Polar radius of curvature in m.
static double | e2 = 0.00669438002290
| First eccentricity squared.
static double | ep2 = 0.00673949677548
| Second eccenctricity squared.
static double | f = 1.0/298.257222101
| Flattening.
static double | U0 = 62636860.850
| Normal potential of the ellipsoid in m^2*s^-2;.
static double | J4 = -0.00000237091222
| Spherical harmonic coefficient 4.
static double | J6 = 0.00000000608347
| Spherical harmonic coefficient 6.
static double | J8 = -0.00000000001427
| Spherical harmonic coefficient 8.
static double | m = 0.00344978600308
| m = omega^2*a^2*b/GM
static double | ya = 9.7803267715
| Normal gravity at the equator in m*s^-2.
static double | yb = 9.8321863685
| Normal gravity at the pole in m*s^-2.

## Detailed Description

Geodetic Reference System 1980 (GRS 1980). model of earth's gravity g. Reference: Hofmann-Wellenhof, B., Moritz, H. (2006), Physical Geodesy (2nd ed.), Springer-Verlag Wien.

Definition at line 17 of file GravityEarthGrsModel.cs.

## Member Function Documentation

double NewGamePhysics.Physics.GravityEarthGrsModel.Calculate | ( | double | latitude,
|  | double | height |
| ) |  |  |

Calculate the gravity outside the ellipsoid of the earth at a particular latitude in degrees and height above the surface in m. Obtained from the second order expansion of a small height.

Parameters:

  | latitude | The latitude in degrees [-90,90]
  | height | The height above the ellipsoid in meters [0,1000000].

Returns:
  The gravity in m*s^-2.

Definition at line 116 of file GravityEarthGrsModel.cs.

    00117         {
    00118             if ((latitude < -90.0) || (latitude > 90.0))
    00119             {
    00120                 throw new ArgumentOutOfRangeException("latitude");
    00121             }
    00122
    00123             if ((height < 0.0) || (height > 1000000.0))
    00124             {
    00125                 throw new ArgumentOutOfRangeException("height");
    00126             }
    00127
    00128             // precalculations
    00129             double phi = Math.PI * latitude / 180.0;
    00130             double sl = Math.Sin(phi);
    00131             double s2l = Math.Sin(2.0 * phi);
    00132             double sl2 = sl * sl;
    00133             double s2l2 = s2l * s2l;
    00134
    00135             // calculate gravity flattening
    00136             double fs = (yb - ya) / ya;
    00137             double f4 = -0.5 * f * f + 2.5 * f * m;
    00138
    00139             // calculate latitude dependent gravity
    00140             double y = ya * (1.0 + fs * sl2 - 0.25 * f4 * s2l2);
    00141
    00142             // calculate the height dependent gravity
    00143             double yh = y * (1.0 - 2.0 / a * (1.0 + f + m - 2.0 * f * sl2) * height + 3.0 / (a * a) * (height * height));
    00144
    00145             // result
    00146             return yh;
    00147         }

## Member Data Documentation

double NewGamePhysics.Physics.GravityEarthGrsModel.a = 6378137.0`[static]`

Semimajor axis of the ellipsoid in m.

Definition at line 22 of file GravityEarthGrsModel.cs.

double NewGamePhysics.Physics.GravityEarthGrsModel.b = 6356752.3141`[static]`

Semiminor axis of the ellipsoid in m.

Definition at line 44 of file GravityEarthGrsModel.cs.

double NewGamePhysics.Physics.GravityEarthGrsModel.c = 6399593.6259`[static]`

Polar radius of curvature in m.

Definition at line 54 of file GravityEarthGrsModel.cs.

double NewGamePhysics.Physics.GravityEarthGrsModel.E = 521854.0097`[static]`

Linear eccentricity in m.

Definition at line 49 of file GravityEarthGrsModel.cs.

double NewGamePhysics.Physics.GravityEarthGrsModel.e2 = 0.00669438002290`[static]`

First eccentricity squared.

Definition at line 59 of file GravityEarthGrsModel.cs.

double NewGamePhysics.Physics.GravityEarthGrsModel.ep2 = 0.00673949677548`[static]`

Second eccenctricity squared.

Definition at line 64 of file GravityEarthGrsModel.cs.

double NewGamePhysics.Physics.GravityEarthGrsModel.f = 1.0/298.257222101`[static]`

Flattening.

Definition at line 69 of file GravityEarthGrsModel.cs.

double NewGamePhysics.Physics.GravityEarthGrsModel.GM = 3986005.0e8`[static]`

Geocentric gravitational constant of the earth including the atmosphere in m^3*s^-2.

Definition at line 28 of file GravityEarthGrsModel.cs.

double NewGamePhysics.Physics.GravityEarthGrsModel.J2 = 108263.0e-8`[static]`

Dynamic form factor of the earth excluding the tidal deformation.

Definition at line 34 of file GravityEarthGrsModel.cs.

double NewGamePhysics.Physics.GravityEarthGrsModel.J4 = -0.00000237091222`[static]`

Spherical harmonic coefficient 4.

Definition at line 79 of file GravityEarthGrsModel.cs.

double NewGamePhysics.Physics.GravityEarthGrsModel.J6 = 0.00000000608347`[static]`

Spherical harmonic coefficient 6.

Definition at line 84 of file GravityEarthGrsModel.cs.

double NewGamePhysics.Physics.GravityEarthGrsModel.J8 = -0.00000000001427`[static]`

Spherical harmonic coefficient 8.

Definition at line 89 of file GravityEarthGrsModel.cs.

double NewGamePhysics.Physics.GravityEarthGrsModel.m = 0.00344978600308`[static]`

m = omega^2*a^2*b/GM

Definition at line 94 of file GravityEarthGrsModel.cs.

double NewGamePhysics.Physics.GravityEarthGrsModel.omega = 7292115.0e-11`[static]`

Angular velocity of the earth in rad*s^-1.

Definition at line 39 of file GravityEarthGrsModel.cs.

double NewGamePhysics.Physics.GravityEarthGrsModel.U0 = 62636860.850`[static]`

Normal potential of the ellipsoid in m^2*s^-2;.

Definition at line 74 of file GravityEarthGrsModel.cs.

double NewGamePhysics.Physics.GravityEarthGrsModel.ya = 9.7803267715`[static]`

Normal gravity at the equator in m*s^-2.

Definition at line 99 of file GravityEarthGrsModel.cs.

double NewGamePhysics.Physics.GravityEarthGrsModel.yb = 9.8321863685`[static]`

Normal gravity at the pole in m*s^-2.

Definition at line 104 of file GravityEarthGrsModel.cs.

The documentation for this class was generated from the following file:

- C:/Users/Andreas Schiffler/Desktop/SVN/NewGamePhysics/NewGamePhysics/Physics/GravityEarthGrsModel.cs